Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-09-2017 19:50:41

debian86
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xrdp
Inscription : 17-09-2017

Problème apt-get update ??

Bonjour,

En souhaitant installer kodi et xbmc, j'ai une erreur avec apt-get update et pas moyen de la corriger, une solution ?

Atteint [url]http://security.debian.org[/url] jessie/updates/main Translation-en
Err [url]http://ppa.launchpad.net[/url] jessie/main i386 Packages
  404  Not Found
Ign [url]http://ppa.launchpad.net[/url] jessie/main Translation-fr_FR
Ign [url]http://ppa.launchpad.net[/url] jessie/main Translation-fr
Ign [url]http://ppa.launchpad.net[/url] jessie/main Translation-en
Err [url]http://ppa.launchpad.net[/url] jessie/main i386 Packages
  404  Not Found



W: Impossible de récupérer [url]http://ppa.launchpad.net/fossfreedom/packagefixes/ubuntu/dists/jessie/main/binary-i386/Packages[/url]  404  Not Found

W: Impossible de récupérer [url]http://ppa.launchpad.net/team-xbmc/ppa/ubuntu/dists/jessie/main/binary-i386/Packages[/url]  404  Not Found

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.



Merci.

Hors ligne

#2 17-09-2017 19:59:57

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : Problème apt-get update ??

c'est un peu le bazar dans tes sources.

kodi est dispo dans les dépôts officiels debian

En ligne

#3 17-09-2017 20:01:29

enicar
Membre
Lieu : Grenoble
Distrib. : debian/sid
Noyau : Linux 4.11.12
(G)UI : openbox
Inscription : 26-08-2010

Re : Problème apt-get update ??

debian86 a écrit :

En souhaitant installer kodi et xbmc,


xbmc est l'ancien nom de kodi, tu installes l'un ou l'autre, pas les deux.


La machine, c'est dépassé ! On va tout remplacer par des humains big_smile

Hors ligne

#4 17-09-2017 20:04:06

enicar
Membre
Lieu : Grenoble
Distrib. : debian/sid
Noyau : Linux 4.11.12
(G)UI : openbox
Inscription : 26-08-2010

Re : Problème apt-get update ??

enicar a écrit :


Ce sont les dépôts ppa d'ubuntu, normal que apt-get ne trouve jessie dans ce dépôt.
En plus il faut bannir l'utilisation des dépôts d'ubuntu quand on utilise debian. C'est plus source
d'ennuis qu'autre chose.

EDIT: xbmc est diponible dans jessie : https://packages.debian.org/search?keyw … ection=all

Dernière modification par enicar (17-09-2017 20:06:01)


La machine, c'est dépassé ! On va tout remplacer par des humains big_smile

Hors ligne

#5 17-09-2017 20:18:25

seb95
Membre
Distrib. : Debian Stable et SID
(G)UI : Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : Problème apt-get update ??

Pour les ppa sur une debian c'est non recommandé:
Ne pas fabriquer un FrankenDebian
https://wiki.debian.org/fr/DontBreakDebian

Hors ligne

#6 17-09-2017 20:19:46

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : Problème apt-get update ??

et kodi dans les backports pour jessie et dans stretch

En ligne

#7 17-09-2017 20:25:52

debian86
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xrdp
Inscription : 17-09-2017

Re : Problème apt-get update ??

Je veux bien, mais cela ne me donne pas une solution pour corriger le souci.

Hors ligne

#8 17-09-2017 20:36:32

debian86
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xrdp
Inscription : 17-09-2017

Re : Problème apt-get update ??

avant le message d'erreur j'avais mi ces commandes:

apt-get install software-properties-common
add-apt-repository ppa:team-xbmc/ppa

Hors ligne

#9 17-09-2017 20:43:28

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Problème apt-get update ??

Il faut que tu supprimes le dépôt ppa de ton sources.list car tu n'en as pas besoin kodi est dans les dépôts officiels Debian.
Ensuite une fois le dépôt ppa supprimé, tu installes depuis les dépôts Debian:

apt update && apt install kodi

Hors ligne

#10 17-09-2017 20:54:10

debian86
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xrdp
Inscription : 17-09-2017

Re : Problème apt-get update ??

J'ai utilisé cette fonction sa semble mieux déjà:

apt-add-repository --remove ppa:team-xbmc

reste encore une erreur:

Err http://ppa.launchpad.net jessie/main i386 Packages
  404  Not Found





W: Impossible de récupérer http://ppa.launchpad.net/fossfreedom/packagefixes/ubuntu/dists/jessie/main/binary-i386/Packages  404  Not Found

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Dernière modification par debian86 (17-09-2017 20:54:41)

Hors ligne

#11 17-09-2017 21:01:35

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Problème apt-get update ??

Il te reste des ppa à supprimer
Que donne

cat /etc/apt/sources.list


et

ls /etc/apt/sources.list.d



Le wiki sur sources.list : https://debian-facile.org/doc:systeme:a … st:stretch

Hors ligne

#12 17-09-2017 21:09:08

debian86
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xrdp
Inscription : 17-09-2017

Re : Problème apt-get update ??

Impec c'est nettoyé thank you ! big_smile

"Lecture des listes de paquets... Fait"

Hors ligne

Pied de page des forums